<?php	
	if($StrCmd=="LOAD_REF" && strlen($StrGT)==0){
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");		
		$StrComR_=gn("id_comprobante","comprobantes","com_nombre='$StrComR'");
		$iSer=$StrSerR;
		$iNum=$StrNumR;		
		if(strlen($iSer)==0)   $iSer="0";
		if(!is_numeric($iSer)) $iSer="0";		
		if(strlen($iNum)==0)   $iNum="0";
		if(!is_numeric($iNum)) $iNum="0";
		//
		if($StrComR_==-1){
			$IdL=gn("id_trans","transferencias","id_trans=$iNum");
			if($IdL==0){
				$LStrMsg="Numero de transferencia no registrada";
				$LStrFoc="document.getElementById('TxtNumR').focus();";						
				$StrGT="S";	
			}else{
				$Est=gs("anu","transferencias","id_trans=$IdL");
				if($Est=="S"){
					$LStrMsg="La transferencia ha sido anulada por lo tanto no se puede proceder";
					$LStrFoc="document.getElementById('TxtNumR').focus();";						
					$StrGT="S";						
				}else{					
					$StrCmd="LOAD_REF_VALIDAR";
				}
			}
		}else{
			$IdL=gn("id_venta","ventas","id_com=$StrComR_ AND iser=$iSer AND inum=$iNum");
			if($IdL==0){
				$LStrMsg="Venta segun documento/serie/numero NO registrada";
				$LStrFoc="document.getElementById('TxtSerR').focus();";						
				$StrGT="S";	
			}else{
				$Est=gs("anu","ventas","id_venta=$IdL");
				if($Est=="S"){
					$LStrMsg="La venta ha sido anulada por lo tanto no se puede proceder";
					$LStrFoc="document.getElementById('TxtSerR').focus();";						
					$StrGT="S";						
				}else{					
					$StrCmd="LOAD_REF_VALIDAR";
				}				
			}
		}
		
	}
	//
	if($StrCmd=="LOAD_REF_VALIDAR" && strlen($StrGT)==0){
		if(gn("count(*)","guias",
			"id_comr=$StrComR_ AND anu='N' i_numr=$iNum AND $i_serr=$iSer")>0){
			$LStrMsg="La documento de referencia ya ha sido atendido ";
			$LStrMsg=$LStrMsg."por lo tanto no se puede proceder";
			$LStrFoc="document.getElementById('TxtNumR').focus();";						
			$StrGT="S";			
		}else{
			$StrCmd="LOAD_REF_OK";
		}
	}
	//
	if($StrCmd=="LOAD_REF_OK" && strlen($StrGT)==0){		
		if($StrComR_==-1){
			$s="SELECT id_producto,cant,cx FROM transferencias_det 
				WHERE id_trans=$IdL ORDER BY cx";				
		}else{
			$s="SELECT id_producto,ca,cx FROM ventas_det 
				WHERE id_venta=$IdL ORDER BY cx";
			$_ID_CLI=gn("id_cliente","ventas","id_venta=$IdL");	
			$StrDesRs=gs("cli_nombre","clientes","id_cliente=$_ID_CLI");
			$StrDesRuc=gs("cli_ruc","clientes","id_cliente=$_ID_CLI");		
			$StrDesDir=gs("cli_dir","clientes","id_cliente=$_ID_CLI");		
		}
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$StrPro_ID=$row[0];
			$StrPro_CA=$row[1];
			$StrIndex=$row[2];
			$StrCod=gs("pro_codigo","productos","id_producto=$StrPro_ID");
			$StrDes=gs("pro_des","productos","id_producto=$StrPro_ID");	
			$s="INSERT INTO temp_compras VALUES ('$StrHWND_G',
			$StrPro_ID,$StrPro_CA,0,0,$StrIndex,
			'$StrCod','$StrDes',0)";
			ejt($s);
		}
		$StrCod="";
		$StrDes="";
		$StrCant="";
		$LStrMsg="Los datos de la transferencia han sido cargados correctamente";					
		$LStrFoc="document.getElementById('TxtNumR').focus();";						
		$StrGT="S";
	}
	//

?>